Package oracle.jdbc.diagnostics

## Class Parameter<T>

- java.lang.Object
- - oracle.jdbc.diagnostics.Parameter<T>

Direct Known Subclasses:
  `Parameter.ByteBufferParameter`, `Parameter.PacketDumpParameter`, `Parameter.PropertiesParameter`

    public class Parameter<T>
    extends java.lang.Object

A wrapper for a value that is a parameter to a log message. Delays construction of a complex String representation to be used by various java.util.logging.Formatters to construct log messages. The value @code(null) is displayed as "<null>". This class does nothing special. It returns the result of value.toString(). It does define a number of subclasses each of which formats a parameter value differently. The different subclasses format different types of values in different ways allowing the developer to specify how a parameter value should be formatted. If an appropriate Parameter type has not been defined it is appropriate do define a new subclass and enum element.

Since:
  21c

### Nested Class Summary

Nested Classes
`protected static class` `Parameter.ByteBufferParameter` A Formatter that will display the content of a ByteBuffer.
`protected static class` `Parameter.PacketDumpParameter`
`protected static class` `Parameter.PropertiesParameter`

### Field Summary

Fields
`static Parameter` `BLINDED`
`protected T` `value`

### Constructor Summary

Constructors
`protected` `Parameter​(java.lang.Object v)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Parameter<?>` `arg​(oracle.jdbc.clio.annotations.Format.Style f, java.lang.Object value, long... params)`
`protected java.lang.String` `basicFormat()`
`static void` `main​(java.lang.String[] args)`
`protected static java.lang.String` `repeat​(java.lang.String s, int count)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### BLINDED

    public static final Parameter BLINDED

#### value

    protected T value

### Constructor Detail

#### Parameter

    protected Parameter​(java.lang.Object v)

### Method Detail

#### arg

    public static Parameter<?> arg​(oracle.jdbc.clio.annotations.Format.Style f,
                                   java.lang.Object value,
                                   long... params)

#### toString

    public final java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### basicFormat

    protected java.lang.String basicFormat()

#### repeat

    protected static java.lang.String repeat​(java.lang.String s,
                                             int count)

#### main

    public static void main​(java.lang.String[] args)
                     throws java.lang.Throwable

Throws:
  `java.lang.Throwable`